<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.sstudy.mapper.resource.GuideResourceMapper">

    <!--根据预习id获取预习关联的资源-->
    <select id="listResourcesByGuideid" resultType="java.util.Map">
        select r.resourceid,r.resourcename,r.resourceurl,r.resourcecover,r.converted,r.pdfurl,
          r.suffix,r.mp4code,r.resourcesize,r.duration,r.resourceclass
         from t_guide_resource gr left join t_resource r
        on gr.resourceid=r.resourceid where gr.guideid=#{guideid}
    </select>
</mapper>
